# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: device_properties.proto

import sys

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database

import mascot.grpcproto.value_pb2 as value__pb2

_b = sys.version_info[0] < 3 and (lambda x: x) or (lambda x: x.encode("latin1"))
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


DESCRIPTOR = _descriptor.FileDescriptor(
    name="device_properties.proto",
    package="mascot",
    syntax="proto3",
    serialized_options=None,
    serialized_pb=_b(
        '\n\x17\x64\x65vice_properties.proto\x12\x06mascot\x1a\x0bvalue.proto"1\n\x1bReadDevicePropertiesMessage\x12\x12\n\ndeviceName\x18\x01 \x01(\t"\xaf\x01\n\x10\x44\x65viceProperties\x12\x12\n\ndeviceName\x18\x01 \x01(\t\x12<\n\nproperties\x18\x02 \x03(\x0b\x32(.mascot.DeviceProperties.PropertiesEntry\x1aI\n\x0fPropertiesEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12%\n\x05value\x18\x02 \x01(\x0b\x32\x16.mascot.AttributeValue:\x02\x38\x01"K\n\x1eReadDeviceAttributeMetaMessage\x12\x12\n\ndeviceName\x18\x01 \x01(\t\x12\x15\n\rattributeName\x18\x02 \x01(\t"\xa2\x01\n\x13\x44\x65viceAttributeMeta\x12\x12\n\ndeviceName\x18\x01 \x01(\t\x12\x15\n\rattributeName\x18\x02 \x01(\t\x12\x33\n\x04meta\x18\x03 \x03(\x0b\x32%.mascot.DeviceAttributeMeta.MetaEntry\x1a+\n\tMetaEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\t:\x02\x38\x01\x62\x06proto3'
    ),
    dependencies=[value__pb2.DESCRIPTOR],
)


_READDEVICEPROPERTIESMESSAGE = _descriptor.Descriptor(
    name="ReadDevicePropertiesMessage",
    full_name="mascot.ReadDevicePropertiesMessage",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="deviceName",
            full_name="mascot.ReadDevicePropertiesMessage.deviceName",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        )
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=48,
    serialized_end=97,
)


_DEVICEPROPERTIES_PROPERTIESENTRY = _descriptor.Descriptor(
    name="PropertiesEntry",
    full_name="mascot.DeviceProperties.PropertiesEntry",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="key",
            full_name="mascot.DeviceProperties.PropertiesEntry.key",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="value",
            full_name="mascot.DeviceProperties.PropertiesEntry.value",
            index=1,
            number=2,
            type=11,
            cpp_type=10,
            label=1,
            has_default_value=False,
            default_value=None,
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=_b("8\001"),
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=202,
    serialized_end=275,
)

_DEVICEPROPERTIES = _descriptor.Descriptor(
    name="DeviceProperties",
    full_name="mascot.DeviceProperties",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="deviceName",
            full_name="mascot.DeviceProperties.deviceName",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="properties",
            full_name="mascot.DeviceProperties.properties",
            index=1,
            number=2,
            type=11,
            cpp_type=10,
            label=3,
            has_default_value=False,
            default_value=[],
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[_DEVICEPROPERTIES_PROPERTIESENTRY],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=100,
    serialized_end=275,
)


_READDEVICEATTRIBUTEMETAMESSAGE = _descriptor.Descriptor(
    name="ReadDeviceAttributeMetaMessage",
    full_name="mascot.ReadDeviceAttributeMetaMessage",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="deviceName",
            full_name="mascot.ReadDeviceAttributeMetaMessage.deviceName",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="attributeName",
            full_name="mascot.ReadDeviceAttributeMetaMessage.attributeName",
            index=1,
            number=2,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=277,
    serialized_end=352,
)


_DEVICEATTRIBUTEMETA_METAENTRY = _descriptor.Descriptor(
    name="MetaEntry",
    full_name="mascot.DeviceAttributeMeta.MetaEntry",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="key",
            full_name="mascot.DeviceAttributeMeta.MetaEntry.key",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="value",
            full_name="mascot.DeviceAttributeMeta.MetaEntry.value",
            index=1,
            number=2,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[],
    enum_types=[],
    serialized_options=_b("8\001"),
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=474,
    serialized_end=517,
)

_DEVICEATTRIBUTEMETA = _descriptor.Descriptor(
    name="DeviceAttributeMeta",
    full_name="mascot.DeviceAttributeMeta",
    filename=None,
    file=DESCRIPTOR,
    containing_type=None,
    fields=[
        _descriptor.FieldDescriptor(
            name="deviceName",
            full_name="mascot.DeviceAttributeMeta.deviceName",
            index=0,
            number=1,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="attributeName",
            full_name="mascot.DeviceAttributeMeta.attributeName",
            index=1,
            number=2,
            type=9,
            cpp_type=9,
            label=1,
            has_default_value=False,
            default_value=_b("").decode("utf-8"),
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
        _descriptor.FieldDescriptor(
            name="meta",
            full_name="mascot.DeviceAttributeMeta.meta",
            index=2,
            number=3,
            type=11,
            cpp_type=10,
            label=3,
            has_default_value=False,
            default_value=[],
            message_type=None,
            enum_type=None,
            containing_type=None,
            is_extension=False,
            extension_scope=None,
            serialized_options=None,
            file=DESCRIPTOR,
        ),
    ],
    extensions=[],
    nested_types=[_DEVICEATTRIBUTEMETA_METAENTRY],
    enum_types=[],
    serialized_options=None,
    is_extendable=False,
    syntax="proto3",
    extension_ranges=[],
    oneofs=[],
    serialized_start=355,
    serialized_end=517,
)

_DEVICEPROPERTIES_PROPERTIESENTRY.fields_by_name[
    "value"
].message_type = value__pb2._ATTRIBUTEVALUE
_DEVICEPROPERTIES_PROPERTIESENTRY.containing_type = _DEVICEPROPERTIES
_DEVICEPROPERTIES.fields_by_name[
    "properties"
].message_type = _DEVICEPROPERTIES_PROPERTIESENTRY
_DEVICEATTRIBUTEMETA_METAENTRY.containing_type = _DEVICEATTRIBUTEMETA
_DEVICEATTRIBUTEMETA.fields_by_name[
    "meta"
].message_type = _DEVICEATTRIBUTEMETA_METAENTRY
DESCRIPTOR.message_types_by_name[
    "ReadDevicePropertiesMessage"
] = _READDEVICEPROPERTIESMESSAGE
DESCRIPTOR.message_types_by_name["DeviceProperties"] = _DEVICEPROPERTIES
DESCRIPTOR.message_types_by_name[
    "ReadDeviceAttributeMetaMessage"
] = _READDEVICEATTRIBUTEMETAMESSAGE
DESCRIPTOR.message_types_by_name["DeviceAttributeMeta"] = _DEVICEATTRIBUTEMETA
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

ReadDevicePropertiesMessage = _reflection.GeneratedProtocolMessageType(
    "ReadDevicePropertiesMessage",
    (_message.Message,),
    dict(
        DESCRIPTOR=_READDEVICEPROPERTIESMESSAGE,
        __module__="device_properties_pb2"
        # @@protoc_insertion_point(class_scope:mascot.ReadDevicePropertiesMessage)
    ),
)
_sym_db.RegisterMessage(ReadDevicePropertiesMessage)

DeviceProperties = _reflection.GeneratedProtocolMessageType(
    "DeviceProperties",
    (_message.Message,),
    dict(
        PropertiesEntry=_reflection.GeneratedProtocolMessageType(
            "PropertiesEntry",
            (_message.Message,),
            dict(
                DESCRIPTOR=_DEVICEPROPERTIES_PROPERTIESENTRY,
                __module__="device_properties_pb2"
                # @@protoc_insertion_point(class_scope:mascot.DeviceProperties.PropertiesEntry)
            ),
        ),
        DESCRIPTOR=_DEVICEPROPERTIES,
        __module__="device_properties_pb2"
        # @@protoc_insertion_point(class_scope:mascot.DeviceProperties)
    ),
)
_sym_db.RegisterMessage(DeviceProperties)
_sym_db.RegisterMessage(DeviceProperties.PropertiesEntry)

ReadDeviceAttributeMetaMessage = _reflection.GeneratedProtocolMessageType(
    "ReadDeviceAttributeMetaMessage",
    (_message.Message,),
    dict(
        DESCRIPTOR=_READDEVICEATTRIBUTEMETAMESSAGE,
        __module__="device_properties_pb2"
        # @@protoc_insertion_point(class_scope:mascot.ReadDeviceAttributeMetaMessage)
    ),
)
_sym_db.RegisterMessage(ReadDeviceAttributeMetaMessage)

DeviceAttributeMeta = _reflection.GeneratedProtocolMessageType(
    "DeviceAttributeMeta",
    (_message.Message,),
    dict(
        MetaEntry=_reflection.GeneratedProtocolMessageType(
            "MetaEntry",
            (_message.Message,),
            dict(
                DESCRIPTOR=_DEVICEATTRIBUTEMETA_METAENTRY,
                __module__="device_properties_pb2"
                # @@protoc_insertion_point(class_scope:mascot.DeviceAttributeMeta.MetaEntry)
            ),
        ),
        DESCRIPTOR=_DEVICEATTRIBUTEMETA,
        __module__="device_properties_pb2"
        # @@protoc_insertion_point(class_scope:mascot.DeviceAttributeMeta)
    ),
)
_sym_db.RegisterMessage(DeviceAttributeMeta)
_sym_db.RegisterMessage(DeviceAttributeMeta.MetaEntry)


_DEVICEPROPERTIES_PROPERTIESENTRY._options = None
_DEVICEATTRIBUTEMETA_METAENTRY._options = None
# @@protoc_insertion_point(module_scope)
